sudo: required
language: c
compiler: gcc
dist: xenial
notifications:
  email: false

before_install:
    - git submodule init
    - git submodule update

script:
    - mkdir build
    - cd build 
    - cmake -DBUILD_KELVIN_NODE_TESTS=ON ../
    - make
    - ctest --verbose

addons:
  apt:
    sources:
    - ubuntu-toolchain-r-test
    packages:
    - libjson-c-dev
    - libev-dev
    - libmagic-dev
    - libldb-dev
    - libtevent-dev
    - libcurl4-gnutls-dev






